﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace Battleship.Generics
{
    internal class ShipsCollectionInfo : IEquatable<ShipsCollectionInfo>
    {
        public string Name { get; private set; }
        public string Description { get; private set; }
        public ShipsCollectionInfo(string name, string description)
        {
            Name = name;
            Description = description;
        }
        public bool Equals(ShipsCollectionInfo? other)
        {
            if (Name == other?.Name)
                return true;

            return false;
        }
        public override int GetHashCode()
        {
            return Name.GetHashCode();
        }
    }
}
